<?php

use think\facade\Route;

//账号
//route::rule('login', 'abutment/Account/login');//供应商登录
//route::rule('getUserInfo', 'abutment/Account/getUserInfo');


//基础信息
route::rule('getPlatformList', 'abutment/Index/getPlatformList');//推广平台列表
route::rule('getCatList', 'abutment/Index/getCatList');//获取分类列表
route::rule('getBrandList', 'abutment/Index/getBrandList');//获取品牌列表
route::rule('brandList', 'abutment/Index/brandList');//获取品牌列表-前端
route::rule('getUnitList', 'abutment/Index/getUnitList');//获取单位列表
route::rule('getSpecsTitleList', 'abutment/Index/getSpecsTitleList');//获取规格类型列表
route::rule('getSpecsValueByTitleList', 'abutment/Index/getSpecsValueByTitleList');//获取规格值列表
route::rule('getAreaList', 'abutment/Index/getAreaList');//获取省市区列表
route::rule('getCompanyNoList', 'abutment/Index/getCompanyNoList');//获取业务公司编码
route::rule('businessList', 'abutment/Index/businessList');//获取业务公司编码-前端
route::rule('getExclusiveList', 'abutment/Index/getExclusiveList');//专属类型列表
route::rule('uploadImg', 'abutment/Index/uploadImg');//上传图片


//商品模块
route::rule('getGoodList', 'abutment/Good/list');//商品列表
route::rule('createGood', 'abutment/Good/createGood');//创建商品
route::rule('updateGoodBasicsInfo', 'abutment/Good/updateGoodBasicsInfo');//修改商品基础信息
route::rule('updateGoodPriceInfo', 'abutment/Good/updateGoodPriceInfo');//修改商品价格信息
route::rule('getGoodDetail', 'abutment/Good/read');//获取商品详情
route::rule('createSpec', 'abutment/Good/createSpec');//创建规格值
route::rule('allSpec', 'abutment/Good/allSpec');//所有规格值
route::rule('editGoodUp', 'abutment/Good/editGoodUp');//修改商品成本全部信息
route::rule('catInfo', 'abutment/Good/catInfo');//分类信息
route::rule('goldPriceLastList', 'abutment/Good/goldPriceLastList');//实时金价列表
route::rule('goldLinst', 'abutment/Good/linst');//贵金属种类列表
route::rule('catList', 'abutment/Good/wlist');//分类列表
route::rule('catListTitle', 'abutment/Good/title');//分类列表-全部
route::rule('checkIsUpdate', 'abutment/Good/checkIsUpdate');//判断是否允许修改成本信息和基础信息
route::rule('goodCopy', 'abutment/Good/copy');//上线商品复制
route::rule('goodInfo', 'abutment/Good/info');//上线商品详情

//销售订单(采销的采购单)
route::rule('getOrderList', 'abutment/Order/getList');//列表
route::rule('getOrderInfo', 'abutment/Order/info');//详情
route::rule('changeOrderStatus', 'abutment/Order/status');//订单确认
route::rule('addOrderIn', 'abutment/Order/add');//订单批量入库
route::rule('exportCgdList', 'abutment/Order/exportCgdList');//订单批量导出


route::rule('saleOutList', 'abutment/Sale/saleout');//发货单列表
route::rule('saleOutInfo', 'abutment/Sale/saleOutInfo');//发货单详情
route::rule('outSend', 'abutment/Sale/outSend');//发货单库管发货
route::rule('outSendBatchByImport', 'abutment/Sale/outSendBatchByImport');//发货单库管批量发货
route::rule('goodZxInfo', 'abutment/Sale/goodzxinfo');//咨询商品详情
route::rule('exportSaleOut', 'abutment/Sale/exportSaleOut');//发货申请单导出
route::rule('outInfo', 'abutment/Sale/outInfo');//发货申请单详情
route::rule('getGoodZxInfoByNotZixun', 'abutment/Sale/getGoodZxInfoByNotZixun');//获取采反商品详情，当数据不在good_zixun中,模仿goodzxinfo

//竞价单
route::rule('crontabList', 'abutment/Consult/crontablist');//招标工作台列表
route::rule('consultZxInfo', 'abutment/Consult/zxinfo');//招标工作台详情
route::rule('consultBidList', 'abutment/Consult/bidlist');//招标工作台商品列表
route::rule('consultCreate', 'abutment/Consult/create');//创建采反商品
route::rule('consultBidListCopy', 'abutment/Consult/bidlistCopy');//咨询采反查询
route::rule('consultFeadInfo', 'abutment/Consult/feadinfo');//反馈商品详情
route::rule('consultFeadback', 'abutment/Consult/feadback');//反馈商品添加
route::rule('consultFeadEdit', 'abutment/Consult/feededit');//反馈商品编辑


