<?php

namespace app\admin\controller;

use app\BaseController;
use think\App;
use think\facade\Db;
use think\facade\Validate;

//业务企业
class Business extends Base
{

    //业务企业只能从供应商升级而来
    public function create()
    {
        $companyNo = makeNo("GS");
        $company = isset($this->post['company']) && $this->post['company'] !== "" ? trim($this->post['company']) : "";
        if ($company == "") {
            return error_show(1002, "参数company不能为空");
        }
//        $companyinfo = Db::name('business')->where(['is_del' => 0, 'company' => $company])->find();
//        if (!empty($companyinfo)) {
//            return error_show(1002, "企业公司名称已存在");
//        }
        $type = isset($this->post['type']) && $this->post['type'] !== "" ? trim($this->post['type']) : "";
        if ($type == "") {
            return error_show(1002, "参数type不能为空");
        }
        $inv_code = isset($this->post['inv_code']) && $this->post['inv_code'] !== "" ? trim($this->post['inv_code']) : "";
        if ($inv_code == "") {
            return error_show(1002, "参数inv_code不能为空");
        }
        $inv_legaler = isset($this->post['inv_legaler']) && $this->post['inv_legaler'] !== "" ? trim($this->post['inv_legaler']) : "";
        if ($inv_legaler == "") {
            return error_show(1002, "参数inv_legaler不能为空");
        }
        $inv_time = isset($this->post['inv_time']) && $this->post['inv_time'] !== "" ? $this->post['inv_time'] : "";
        if ($inv_time == "") {
            return error_show(1005, '参数inv_time不能为空');
        }
        $inv_addr = isset($this->post['inv_addr']) && $this->post['inv_addr'] !== "" ? trim($this->post['inv_addr']) : "";
        if ($inv_addr == "") {
            return error_show(1002, "参数inv_addr不能为空");
        }
        $inv_bank = isset($this->post['inv_bank']) && $this->post['inv_bank'] !== "" ? trim($this->post['inv_bank']) : "";
        if ($inv_bank == "") {
            return error_show(1002, "参数inv_bank不能为空");
        }
        $inv_bankNo = isset($this->post['inv_bankNo']) && $this->post['inv_bankNo'] !== "" ? trim($this->post['inv_bankNo']) : "";
        if ($inv_bankNo == "") {
            return error_show(1002, "参数inv_bankNo不能为空");
        }
        $contactor = isset($this->post['contactor']) && $this->post['contactor'] !== "" ? trim($this->post['contactor']) : "";
        if ($contactor == "") {
            return error_show(1002, "参数contactor不能为空");
        }
        $mobile = isset($this->post['mobile']) && $this->post['mobile'] !== "" ? trim($this->post['mobile']) : "";
        if ($mobile == "") {
            return error_show(1002, "参数mobile不能为空");
        }
        $addr = isset($this->post['addr']) && $this->post['addr'] !== "" ? trim($this->post['addr']) : "";
        if ($addr == "") {
            return error_show(1002, "参数addr不能为空");
        }
        $inv_scope = isset($this->post['inv_scope']) && $this->post['inv_scope'] !== "" ? trim($this->post['inv_scope']) : "";
        if ($inv_scope == "") {
            return error_show(1002, "参数inv_scope不能为空");
        }
        $license_img = isset($this->post['license_img']) && $this->post['license_img'] !== "" ? trim($this->post['license_img']) : "";
//        if($license_img==""){
//            return error_show(1002,"参数license_img不能为空");
//        }
        $token = isset($this->post['token']) && $this->post['token'] != '' ? trim($this->post['token']) : "";
        if ($token == '') {
            return error_show(105, "参数token不能为空");
        }
//        $user =GetUserInfo($token);
//        if(empty($user)||$user['code']!=0){
//            return error_show(102,"创建人数据不存在");
//        }
        $createrid = $this->uid;//isset($user["data"]['id']) ?  $user["data"]['id'] : "";
        $creater = $this->uname;//isset($user["data"]['nickname']) ?  $user["data"]['nickname'] : "";
        $status = isset($this->post['status']) && $this->post['status'] !== "" ? intval($this->post['status']) : "1";
//        Db::startTrans();
//       try{

        $data = [
            "company" => $company,
            "companyNo" => $companyNo,
            "inv_code" => $inv_code,
            "type" => $type,
            "inv_legaler" => $inv_legaler,
            "inv_time" => $inv_time,
            "inv_addr" => $inv_addr,
            "inv_bank" => $inv_bank,
            "inv_bankNo" => $inv_bankNo,
            "contactor" => $contactor,
            "mobile" => $mobile,
            "addr" => $addr,
            "creater" => $creater,
            "createrid" => $createrid,
            "inv_scope" => $inv_scope,
            "license_img" => $license_img,
            "status" => $status,
            "is_del" => 0,
            "addtime" => date("Y-m-d H:i:s"),
            "updatetime" => date("Y-m-d H:i:s")
        ];

        $userCommon = \app\admin\common\User::getIns();
        $rs = $userCommon->handle('bCreate', $data);
        return json_show($rs['code'], $rs['message'], $rs['data']);
//           $datainfo = Db::name('business')->insert($data);
//           if($datainfo){
//               Db::commit();
//               return error_show(0,"新建成功");
//           }else{
//               Db::rollback();
//               return error_show(1004,"新建失败");
//           }
//       }catch (\Exception $e) {
//       }
//           Db::rollback();
//           return error_show(1005, $e->getMessage());


    }

    public function list()
    {

        $param = $this->request->only([
            'page' => 1,
            'size' => 10,
            'company' => '',
            'status' => '',
            'creater' => '',
            'start' => '',
            'end' => '',
            'company_name' => '',
        ], 'post', 'trim');

//        $page = isset($this->post['page']) && $this->post['page'] !==""? intval($this->post['page']):"1";
//        $size = isset($this->post['size']) && $this->post['size'] !==""? intval($this->post['size']):"10";
//        $where = [["b.is_del","=",0]];
//        $company = isset($this->post['company']) && $this->post['company'] !=="" ? trim($this->post['company']):"";
//        if($company!==""){
//            $where[]=['b.company',"like","%$company%"];
//        }
//        $status = isset($this->post['status']) && $this->post['status'] !=="" ? intval($this->post['status']):"";
//        if($status!==""){
//            $where[]=['b.status',"=",$status];
//        }
//        $creater = isset($this->post['creater']) && $this->post['creater'] !=="" ? trim($this->post['creater']):"";
//        if($creater!==""){
//            $where[]=['b.creater',"like","%$creater%"];
//        }
//        $start = isset($this->post['start']) && $this->post['start']!=="" ? $this->post['start']:"";
//        if($start!==""){
//            $where[]=['b.addtime',">=",date('Y-m-d H:i:s',strtotime($start))];
//        }
//        $end = isset($this->post['end']) && $this->post['end']!=="" ? $this->post['end']:"";
//        if($end!==""){
//            $where[]=['b.addtime',"<",date('Y-m-d H:i:s',strtotime($end)+24*3600)];
//        }
//        $company_name = isset($this->post['company_name']) && $this->post['company_name'] !== "" ? trim($this->post['company_name']) : "";
//        if ($company_name !== "") $where[] = ["b.createrid", 'in', get_company_item_user_by_name($company_name)];

        $userCommon =\app\admin\common\User::getIns();
        $rs = $userCommon->handle('bGetList', $param);
        return json_show($rs['code'], $rs['message'], $rs['data']);

//        $count = Db::name('business')
//            ->alias('b')
//            ->where($where)
//            ->count();
//        $total = ceil($count / $size);
//        $page = $page >= $total ? $total : $page;
//        $list = Db::name('business')
//            ->alias('b')
//            ->where($where)
//            ->page($page,$size)
//            ->field("b.id,b.company,b.companyNo,b.status,b.creater,b.addtime,b.type,u.itemid")
//            ->leftJoin("depart_user u", "u.uid=b.createrid AND u.is_del=0")
//            ->order("addtime desc")
//            ->append(['company_name'])
//            ->withAttr('company_name',function ($val,$data){
//                return implode('/', array_column(GetPart($data['itemid']), 'name'));
//            })
//            ->select()
//            ->toArray();
//
//        return app_show(0,"获取成功",['list'=>$list,'count'=>$count]);
    }

    public function edit()
    {

        $param = $this->request->only(['id', 'inv_addr', 'inv_bank', 'inv_bankNo', 'invoice_mobile','invoice_title'], 'post', 'trim');

        $val = Validate::rule([
            'id' => 'require|number|gt:0',
            'inv_addr' => 'require|max:255',
            'inv_bank' => 'require|max:255',
            'inv_bankNo' => 'require|max:255',
            'invoice_mobile' => 'require|max:255',
            'invoice_title' => 'require|max:255',
        ]);

        if ($val->check($param) == false) return json_show(1005, $val->getError());
		$param['updatetime'] = date("Y-m-d H:i:s");
        $userCommon = \app\admin\common\User::getIns();
        $rs = $userCommon->handle('bEdit', $param);
        return json_show($rs['code'], $rs['message'], $rs['data']);

//        $id = isset($this->post['id']) && $this->post['id'] !== "" ? intval($this->post['id']) : "";
//        if ($id == "") {
//            return error_show(1002, "参数id不能为空");
//        }
//       $idinfo = Db::name('business')->where(['id'=>$id,'is_del'=>0])->find();
//       if($idinfo==""){
//           return error_show(1003,"未找到数据");
//       }
//       $companyNo = makeNo("GS");
//        $company = isset($this->post['company']) && $this->post['company'] !== "" ? trim($this->post['company']) : "";
//        if ($company == "") {
//            return error_show(1002, "参数company不能为空");
//        }
//        $type = isset($this->post['type']) && $this->post['type'] !== "" ? trim($this->post['type']) : "";
//        if ($type == "") {
//            return error_show(1002, "参数type不能为空");
//        }
//        $inv_code = isset($this->post['inv_code']) && $this->post['inv_code'] !== "" ? trim($this->post['inv_code']) : "";
//        if ($inv_code == "") {
//            return error_show(1002, "参数inv_code不能为空");
//        }
//        $inv_legaler = isset($this->post['inv_legaler']) && $this->post['inv_legaler'] !== "" ? trim($this->post['inv_legaler']) : "";
//        if ($inv_legaler == "") {
//            return error_show(1002, "参数inv_legaler不能为空");
//        }
//        $inv_time = isset($this->post['inv_time']) && $this->post['inv_time'] !== "" ? $this->post['inv_time'] : "";
//        if ($inv_time == "") {
//            return error_show(1005, '参数inv_time不能为空');
//        }
//        $inv_addr = isset($this->post['inv_addr']) && $this->post['inv_addr'] !== "" ? trim($this->post['inv_addr']) : "";
//        if ($inv_addr == "") {
//            return error_show(1002, "参数inv_addr不能为空");
//        }
//        $inv_bank = isset($this->post['inv_bank']) && $this->post['inv_bank'] !== "" ? trim($this->post['inv_bank']) : "";
//        if ($inv_bank == "") {
//            return error_show(1002, "参数inv_bank不能为空");
//        }
//        $inv_bankNo = isset($this->post['inv_bankNo']) && $this->post['inv_bankNo'] !== "" ? trim($this->post['inv_bankNo']) : "";
//        if ($inv_bankNo == "") {
//            return error_show(1002, "参数inv_bankNo不能为空");
//        }
//        $contactor = isset($this->post['contactor']) && $this->post['contactor'] !== "" ? trim($this->post['contactor']) : "";
//        if ($contactor == "") {
//            return error_show(1002, "参数contactor不能为空");
//        }
//        $mobile = isset($this->post['mobile']) && $this->post['mobile'] !== "" ? trim($this->post['mobile']) : "";
//        if ($mobile == "") {
//            return error_show(1002, "参数mobile不能为空");
//        }
//        $addr = isset($this->post['addr']) && $this->post['addr'] !== "" ? trim($this->post['addr']) : "";
//        if ($addr == "") {
//            return error_show(1002, "参数addr不能为空");
//        }
//        $inv_scope = isset($this->post['inv_scope']) && $this->post['inv_scope'] !== "" ? trim($this->post['inv_scope']) : "";
//        if ($inv_scope == "") {
//            return error_show(1002, "参数inv_scope不能为空");
//        }
//        $license_img = isset($this->post['license_img']) && $this->post['license_img'] !== "" ? trim($this->post['license_img']) : "";
//        if($license_img==""){
//            return error_show(1002,"参数license_img不能为空");
//        }
//        $token = isset($this->post['token'])&& $this->post['token']!='' ? trim($this->post['token']):"";
//        if($token==''){
//            return error_show(105,"参数token不能为空");
//        }
//        $user =GetUserInfo($token);
//        if(empty($user)||$user['code']!=0){
//            return error_show(102,"创建人数据不存在");
//        }
//        $createrid = $this->uid;//isset($user["data"]['id']) ?  $user["data"]['id'] : "";
//        $creater = $this->uname;//isset($user["data"]['nickname']) ?  $user["data"]['nickname'] : "";
//        $status = isset($this->post['status']) && $this->post['status'] !== "" ? intval($this->post['status']) : "0";
//        Db::startTrans();
//        try{
//            $info = Db::name('business')->save($data);
//            if($info){
//                Db::commit();
//                return error_show(0,"更新成功");
//            }else{
//                Db::rollback();
//                return error_show(1002,"更新失败");
//            }
//        }catch (\Exception $e) {
//            Db::rollback();
//            return error_show(1005, $e->getMessage());
//        }


    }

    public function del()
    {
//        $id = isset($this->post['id']) && $this->post['id'] !=="" ? intval($this->post['id']) :"";
//        if($id==""){
//            return error_show(1002,"参数id不能为空");
//        }
//        $str= Db::name('business')->where(['id'=>$id,'is_del'=>0])->find();
//        if(empty($str)){
//            return error_show(1002,"未找到数据");
//        }
//        $end = Db::name('business')->update(['id'=>$id,'is_del'=>1]);
//        if($end){
//            return error_show(0,"删除成功");
//        }else{
//            return error_show(1002,"删除失败");
//        }
        $param = $this->request->only(['id' => 0], 'post', 'trim');

        $userCommon = \app\admin\common\User::getIns();
        $rs = $userCommon->handle('delete', [
            'ids' => [$param['id']],
            'type' => 1,
            'updater' => $this->uname,
            'updaterid' => $this->uid,
        ]);
        return json_show($rs['code'], $rs['message'], $rs['data']);
    }

    public function status()
    {
//        $id = isset($this->post['id']) && $this->post['id'] !==""? intval($this->post['id']):"";
//        if($id==""){
//            return error_show(1002,"参数id不能为空");
//        }
//        $info =  Db::name("business")->where([["id","=",$id],["is_del","=",0]])->find();
//        if(!$info){
//            return error_show(1002,"未找到对应数据");
//        }
//        $status =  isset($this->post['status']) && $this->post['status']!==""? intval($this->post['status']):"";
//        if($status===""){
//            return error_show(1002,"参数status不能为空");
//        }
//        if(!in_array($status,[0,1])){
//            return error_show(1002,"参数status无效");
//        }
//        $info['status']=$status;
//        $msg = $status==1?"启用":"禁用";
//        $update = Db::name("business")->save($info);
//        return  $update? error_show(0,"{$msg}成功"):error_show(1004,"{$msg}失败");

        $param = $this->request->only(['id', 'status'], 'post', 'trim');

        $val = Validate::rule([
            'id' => 'require|number|gt:0',
            'status|状态' => 'require|number|in:0,1'
        ]);

        if (!$val->check($param)) return json_show(1005, $val->getError());

        $userCommon = \app\admin\common\User::getIns();

        $rs = $userCommon->handle('status', [
            'id' => $param['id'],
            'status' => $param['status'],
            'type' => 1,
            'updater' => $this->uname,
            'updaterid' => $this->uid,
        ]);
        return json_show($rs['code'], $rs['message'], $rs['data']);
    }

    public function info()
    {
//        $companyNo =isset($this->post['companyNo']) && $this->post['companyNo'] !==""? trim($this->post['companyNo']) :"";

        $param = $this->request->only(['companyNo'], 'post', 'trim');

        $userCommon = \app\admin\common\User::getIns();
        $rs = $userCommon->handle('bInfo', $param);
        return json_show($rs['code'], $rs['message'], $rs['data']);

//        if($companyNo==""){
//            return error_show(1004,"参数companyNo不能为空");
//        }
//        $tod=Db::name('business')->where(['companyNo'=>$companyNo,'is_del'=>0])->find();
//        if($tod==""){
//            return error_show(1002,"未找到数据");
//        }
//        $info = Db::name('company_type')->where(['id'=>$tod['type'],"is_del"=>0])->find();
//
//        $tod['companytype']=isset($info['company_type'])?$info['company_type']:"" ;
//
//        return app_show(0,"获取成功",$tod);
    }

    public function title()
    {
        $param = $this->request->only(['company_type' => '', 'status' => ''], 'post', 'trim');
//        $where = [["is_del","=",0]];
//        $company_type = isset($this->post['company_type']) && $this->post['company_type'] !=="" ? intval($this->post['company_type']):"";
//        if($company_type!=""){
//            $where[]=['company_type',"like","%$company_type%"];
//        }
//        $status = isset($this->post['status']) && $this->post['status'] !=="" ? intval($this->post['status']):"";
//        if($status!=""){
//            $where[]=['status',"=",$status];
//        }
//        $list = Db::name('company_type')->where($where)->select();
//        return app_show(0,"获取成功",$list);

        $userCommon = \app\admin\common\User::getIns();
        $rs = $userCommon->handle('bTitle', $param);
        return json_show($rs['code'], $rs['message'], $rs['data']);
    }
}